(function ($, Drupal, drupalSettings) {

    Drupal.behaviors.jitsi = {
        attach: function (context, settings) {

            jQuery('#meet-start').once().click(function () {
                var videodomain = drupalSettings.domain;
                var videoroom = drupalSettings.room;
                var user = drupalSettings.user;
                var email = drupalSettings.email;
                const options = {
                    roomName: videoroom,
                    width: 600,
                    height: 600,
                    parentNode: document.querySelector('#meet'),
                    userInfo: {
                        email: email,
                        displayName: user
                    },
                    interfaceConfigOverwrite: { enableClosePage: true },
                };

                api = new JitsiMeetExternalAPI(videodomain, options);
                
                $('#meet-stop').show();
                $('#meet-start').hide();
                var m = Drupal.t('Meeting room') + ": " + videoroom;
                $('#room').html(m);
                var l = Drupal.t('Link') + ": https://" + videodomain + "/" + videoroom;
                $('#link').html(l);

            });

            jQuery('#meet-stop').click(function () {
                jQuery('#meet-start').show();
                jQuery('#meet-stop').hide();
                $('#room').html('');
                $('#link').html('');
                api.dispose();
            });
        } 
    };
})(jQuery, Drupal, drupalSettings);


