<?php

/**
 * @file
 * Contains \Drupal\ek_jitsi\Controller\Video
 */

namespace Drupal\ek_jitsi\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Render\BareHtmlPageRenderer;

/**
 * Controller routines for ek module routes.
 */
class Video extends ControllerBase {

    /**
     * 
     */
    public function start() {
        
        $attachments = \Drupal::service('html_response.attachments_processor');
        $renderer = \Drupal::service('renderer');

        $bareHtmlPageRenderer = new BareHtmlPageRenderer($renderer, $attachments);
        
        $content = [];
        if(!\Drupal::config('ek_jitsi_domain')->get('ek_jitsi_domain')){
            $domain = 'meet.jit.si';
        } else {
            $domain = \Drupal::config('ek_jitsi_domain')->get('ek_jitsi_domain');
        }
        $room = md5(date() . rand());
        $html = "<div class='meet-wrapper'><div class='button' id='meet-start'>Start</div>";
        $html .= "<div class='button' id='meet-stop'>Stop</div>";
        $html .= "<div class='room' id='room'></div>";
        $html .= "<div class='link' id='link'></div>";
        $html .= "<div id='meet'></div></div>";
        $content['#markup'] = $html;
        $content['#attached'] = [
            'drupalSettings' => [
                    'domain' => $domain,
                    'room' => $room,
                    'user' => \Drupal::currentUser()->getAccountName(),
                    'email' => \Drupal::currentUser()->getEmail(),
                ],
            'library' => ['core/drupal.dialog.ajax','ek_jitsi/video' ],
            
        ];

        $response = $bareHtmlPageRenderer->renderBarePage($content, 'New conference', 'markup');
        return $response;
    }
    
    /**
     * AJAX callback handler 
     */
    public function join($id) {
        
        $attachments = \Drupal::service('html_response.attachments_processor');
        $renderer = \Drupal::service('renderer');

        $bareHtmlPageRenderer = new BareHtmlPageRenderer($renderer, $attachments);
        
        $content = [];
        if(!\Drupal::config('ek_jitsi_domain')->get('ek_jitsi_domain')){
            $domain = 'meet.jit.si';
        } else {
            $domain = \Drupal::config('ek_jitsi_domain')->get('ek_jitsi_domain');
        }
   
        $html = "<div class='meet-wrapper'><div class='button' id='meet-start'>Start</div>";
        $html .= "<div class='button' id='meet-stop'>Stop</div>";
        $html .= "<div class='room' id='room'></div>";
        $html .= "<div class='link' id='link'></div>";
        $html .= "<div id='meet'></div></div>";
        $content['#markup'] = $html;
        $content['#attached'] = [
            'drupalSettings' => [
                    'domain' => $domain,
                    'room' => $id,
                    'user' => \Drupal::currentUser()->getAccountName(),
                    'email' => \Drupal::currentUser()->getEmail(),
                ],
            'library' => ['core/drupal.dialog.ajax','ek_jitsi/video' ],
            
        ];

        $response = $bareHtmlPageRenderer->renderBarePage($content, 'Join conference', 'markup');
        return $response;
        
    }
    
    
    
}
