<?php

/**
 * @file
 * Contains \Drupal\ek_jitsi\Plugin\Block\JitsiButtonBlock.
 */

namespace Drupal\ek_jitsi\Plugin\Block;

use Drupal\Core\Session\AccountInterface;
use Drupal\Core\Block\BlockBase;
use Drupal\Core\Access\AccessResult;

/**
 * Provides a 'video room button for Jitsi service' .
 *
 * @Block(
 *   id = "jitsi_button_block",
 *   admin_label = @Translation("Jitsi video button"),
 *   category = @Translation("Ek jitsi block")
 * )
 */
class JitsiButtonBlock extends BlockBase {

    /**
     * {@inheritdoc}
     */
    public function build() {

        $items = array();
        $items['title'] = '';
        $items['id'] = 'jitsi_buttons';



        //$link = Url::fromRoute('ek_jitsi.start')->toString();
        $items['button'] = "<div id='tour-jitsi'><a id='jitsi_new_meeting' class='button'  "
                . "href='#'><span class='jitsi_start_button'></span> " . t('Start New Meeting') . "</a></div>";

        $items['form'] = \Drupal::formBuilder()->getForm('Drupal\ek_jitsi\Form\Join');

        return array(
            '#items' => $items,
            '#theme' => 'video',
            '#attached' => ['library' => 'ek_jitsi/block'],
            '#cache' => [
                'tags' => ['jitsi_button_block'],
                'contexts' => [
                ],
            ],
        );
    }

    /**
     * {@inheritdoc}
     */
    protected function blockAccess(AccountInterface $account) {
        if (!$account->isAnonymous() && $account->hasPermission('jitsi video')) {
            return AccessResult::allowed();
        }
        return AccessResult::forbidden();
    }

}
